using Php;

namespace PhpNative {
    public int count (zval value) {
        return value.count ();
    }

    public int count_static (zval value, string php_file, int php_line) throws Error {
        return count (value);
    }

    public zval count_zval (zval value, string php_file, int php_line) throws Error {
        return zval.integer (count_static (value, php_file, php_line));
    }
}
